
AddParticleToObject(1,"Highlight");
MoveEmiter("Highlight",460,465);
AddParticleToObject(obj.scan.id,"scan");
MoveEmiter("scan",494+60,390+18);

if not flags.minicomplete1 then
StartEmiter("scan")
end;
if flags.minicomplete1 and not flags.mini2 then
StartEmiter("micro")
end;


WaitRender();

function gameinput(sender,obj_id,attachedID)
	if SLevel==1.0 then return; end;	
	if sender == 2 then
		RemoveFromMouse(object);
		MessageProc(sender,obj_id);
	return;end;	
--обработка плашки
	 if (sender == 1  or sender==5) and not isTimes  and imagetex~=-1 then
			set_visible_object(obj.plashechka.id,false)
			set_visible_object(obj[imagetex].id,false)
			del_object_from_game(5654547)		
			gameinput(26,imageid)			
			del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)
				del_object_from_game(5654547)	
	end
	
if sender ==41 then	
	RotateHandler(obj_id);
if obj_id ==obj.dragonfly.id then	
	StartAnimation( 5555555555,1,5 );
	return;end;	
	return;end;

	if sender == 26 then
--проф говорит в конце мини игры что трали вали и вызывапем рендер таргет
		if obj_id ==50 then
		del_object_from_game(obj.dragonfly.id)
			leafobj={2234}
			GetRenderTarget(2234,"rendertar");	
			minigg=true;
			levelnext=13;
			flags.finish=true;
		end

	return; end;
	if sender == 14 then
		if obj_id == obj.kifer.id and not scaner_on then
			addObjectToMouse(obj_id);
			-- takeobjecttohand=true
		return; end;
	return; end;
	
	if sender == 33 then	
--сообщение профа 	
	if  flags.comics2 then			
			CreatePlashechka(50,"54","prof")
			canmenu=true
			ShowMenu(true);
			flags.comics2=false;
			return;end
		
		if not flags.finish then
		flags.finish = false;
		ShowMenu(true);
		SwitchToSheet("gr");
		return end
		
	return;end;
	if sender == 8 then
		HideGlove();
	takeobjecttohand=false
		HideScaner();
		HideRentgen()
		HideNvg();
	return end;
	if sender==777 then
	--начало уровня
			StartTimer(43334343342,0.3,"switchgr")
			function switchgr()			
				SwitchToSheet("gr")
			end		
			if  flags.comics1 then		
				StartTimer(43342,0.5,"conv12")
			function conv12()
				CreatePlashechka(9999,"53","prof")
				SwitchToSheet("gr");	
			end		
				
				ShowMenu(true);
				SwitchToSheet("gr");	
				flags.comics1 =false
				StartEmiter( "scan" );
				flags.mini1_go=true;	
			return;end	
--старт мини	
		if flags.start_mini3 and not  flags.minicomplete1 then			
			leafobj={2234}
			GetRenderTarget(2234,"rendertar");	
			mininame="mini3";
			mininum1=12;
			mininum2=12;
			mininame2="lab";
		return; end;		
	if top_plush_id then		
		ShowMenu(true)		
		SwitchToSheet("gr");	
	end	
	end
	
			
	if sender == 100 then

			if not flags.add_kifer then
				flags.add_kifer= true
				AddElement(sheet,obj.kifer.id);
				MoveObjectToTree(obj.kifer.id);
				obj.kifer.is_stored = true;
			end
			
			if flags.first_time_load then
				
					flags.first_time_load=false
				set_visible_object(obj.intro.id,true);
				speciale_action(4,obj.intro.id);		
			return; end;	
			
	return; end;	
	
	
	if sender == 1 then			
--тычем манускриптом на сканер	
		if obj_id == obj.scan.id and flags.mini1_go then
			if scaner_on then
				CreatePlashechka(9999,"70","goodgirl")
			return;end;
			if attachedID==obj.kifer.id then
				RemoveFromMouse(obj.kifer.id);
				UnStoreObj(obj.kifer.id)
				flags.mini1_go= false
				Set_Cursor( obj.scan.id, 3 );
				ShowMenu( false );
				flags.kifir=true
				ClosePlushes();
				HideGlove()
				takeobjecttohand=false
				flags.start_mini3 = true;
			return; end	
			CreatePlashechka(9999,"22","prof")
		return; end	
	return; end;

	
return; end; 


function SelectRandom()
local dist=-1;local a=-1;local b=-1;local v=100;local t=-1;local diag=-1;
local width = -1;local height = -1;local radius=1.2;
				
	if flags.items_collected then
if not flags.minicomplete1 then
computation(obj.scan.id);
end;
	return end
	
	
	ok = false
	while not ok do
		help_id = GetRandomObject();
		for i,v in pairs(obj) do
			if v.id == help_id and not v.is_collapsed then
				ok = true
				x,y=GetObjectPosition(v.id);
				x1,y1=GetObjectPosition(obj.dragonfly.id);
				width,height = GetObjectSize(v.id)
				a= (x-x1); b= (y-y1);  dist= math.sqrt (a^2+b^2);				
		        t=dist/400;		
                r = (math.sqrt(width^2+height^2)*0.5);		
				
				if r<50 then	r=75;	radius=4;	end  -- при радиусе меньше 50 определяем время кружения и радиус стрекозы
				
				if r>50 and r <100 then	r=87 radius=2.5;  end  --при радиусе больше 50 и меньше 100
				
				if r>100 then 	r=100 	radius=0.75;  end  -- при радиусе больше 100
				
				StartBigTravel(obj.dragonfly.id, v.id, 0, t, r/90, t, 2 ,radius);
			return end
		end
	end
end;
